
Installer - Feature #27687

Add Reverse Proxy options supported via custom-hiera.yaml

08/22/2019 02:08 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link: 1741275 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/210

  

Description

Reverse proxy options such as: connectiontimeout, timeout, retry, disablereuse are not supported in custom-hiera.yaml.

Every time time the foreman-installer is executed, '/etc/httpd/conf.d/28-katello-reverse-proxy.conf' needs to be modified manually.

Related issues:

Related to Installer - Bug #28983: foreman_proxy_content::reverse_proxy::prox... Closed

Associated revisions

Revision f95a6eef - 08/23/2019 10:02 AM - Ewoud Kohl van Wijngaarden

Fixes #27687 - Add vhost_params and proxy_pass_params

This allows customizing the Apache vhost and ProxyPass via hiera giving

more flexibility.

History

#1 - 08/22/2019 02:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/210 added

#2 - 08/23/2019 10:02 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/23/2019 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|f95a6eef1d510e65e2499367d738935b151cd05c.

#4 - 02/11/2020 02:34 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #28983: foreman_proxy_content::reverse_proxy::proxy_pass_params doesn't allow integers added
